import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, d = Object.getOwnPropertyDescriptor, p = (a, t, r, l) => {
  for (var e = l > 1 ? void 0 : l ? d(t, r) : t, s = a.length - 1, o; s >= 0; s--)
    (o = a[s]) && (e = (l ? o(t, r, e) : o(e)) || e);
  return l && e && f(t, r, e), e;
};
let i = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--emailFilled", this.class = "c-pieIcon c-pieIcon--emailFilled", this.name = "IconEmailFilled";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--emailFilled"><path d="m9.391 8.971-.945.875a.647.647 0 0 1-.884 0l-.98-.875-4.558 4.13c.168.064.346.097.525.096H13.45q.176.021.35 0z"></path><path d="M14.852 12.375c.108-.215.165-.451.166-.692V4.36a1.7 1.7 0 0 0-.114-.595l-4.55 4.313z"></path><path d="M1.088 3.809a1.5 1.5 0 0 0-.088.55v7.28c0 .225.052.446.15.648L5.602 8.08z"></path><path d="m8 8.472 5.915-5.6a1.6 1.6 0 0 0-.463-.07H2.548q-.266.003-.516.088z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], i.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = p([
  m("icon-email-filled")
], i);
export {
  i as IconEmailFilled
};
